Package org.apache.tapestry5.ioc.junit

# Class TapestryIOCJUnit4ClassRunner.RegistryManagerRunNotifier

java.lang.Object
org.junit.runner.notification.RunNotifier
org.apache.tapestry5.ioc.junit.TapestryIOCJUnit4ClassRunner.RegistryManagerRunNotifier

Enclosing class:
  TapestryIOCJUnit4ClassRunner

public static class TapestryIOCJUnit4ClassRunner.RegistryManagerRunNotifier extends org.junit.runner.notification.RunNotifier

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegistryManagerRunNotifier(TestRegistryManager registryManager, org.junit.runner.notification.RunNotifier delegate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFirstListener(org.junit.runner.notification.RunListener listener)`
  `void`
  `addListener(org.junit.runner.notification.RunListener listener)`
  `void`
  `fireTestAssumptionFailed(org.junit.runner.notification.Failure failure)`
  `void`
  `fireTestFailure(org.junit.runner.notification.Failure failure)`
  `void`
  `fireTestFinished(org.junit.runner.Description description)`
  `void`
  `fireTestIgnored(org.junit.runner.Description description)`
  `void`
  `fireTestRunFinished(org.junit.runner.Result result)`
  `void`
  `fireTestRunStarted(org.junit.runner.Description description)`
  `void`
  `fireTestStarted(org.junit.runner.Description description)`
  `void`
  `pleaseStop()`
  `void`
  `removeListener(org.junit.runner.notification.RunListener listener)`

  ### Methods inherited from class org.junit.runner.notification.RunNotifier

  `fireTestSuiteFinished, fireTestSuiteStarted`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegistryManagerRunNotifier

    public RegistryManagerRunNotifier(TestRegistryManager registryManager, org.junit.runner.notification.RunNotifier delegate)

- ## Method Details

  - ### addListener

    public void addListener(org.junit.runner.notification.RunListener listener)
    Overrides:
      `addListener` in class `org.junit.runner.notification.RunNotifier`

  - ### removeListener

    public void removeListener(org.junit.runner.notification.RunListener listener)
    Overrides:
      `removeListener` in class `org.junit.runner.notification.RunNotifier`

  - ### fireTestRunStarted

    public void fireTestRunStarted(org.junit.runner.Description description)
    Overrides:
      `fireTestRunStarted` in class `org.junit.runner.notification.RunNotifier`

  - ### fireTestRunFinished

    public void fireTestRunFinished(org.junit.runner.Result result)
    Overrides:
      `fireTestRunFinished` in class `org.junit.runner.notification.RunNotifier`

  - ### fireTestStarted

    public void fireTestStarted(org.junit.runner.Description description) throws org.junit.runner.notification.StoppedByUserException
    Overrides:
      `fireTestStarted` in class `org.junit.runner.notification.RunNotifier`
    Throws:
      `org.junit.runner.notification.StoppedByUserException`

  - ### fireTestFailure

    public void fireTestFailure(org.junit.runner.notification.Failure failure)
    Overrides:
      `fireTestFailure` in class `org.junit.runner.notification.RunNotifier`

  - ### fireTestAssumptionFailed

    public void fireTestAssumptionFailed(org.junit.runner.notification.Failure failure)
    Overrides:
      `fireTestAssumptionFailed` in class `org.junit.runner.notification.RunNotifier`

  - ### fireTestIgnored

    public void fireTestIgnored(org.junit.runner.Description description)
    Overrides:
      `fireTestIgnored` in class `org.junit.runner.notification.RunNotifier`

  - ### fireTestFinished

    public void fireTestFinished(org.junit.runner.Description description)
    Overrides:
      `fireTestFinished` in class `org.junit.runner.notification.RunNotifier`

  - ### pleaseStop

    public void pleaseStop()
    Overrides:
      `pleaseStop` in class `org.junit.runner.notification.RunNotifier`

  - ### addFirstListener

    public void addFirstListener(org.junit.runner.notification.RunListener listener)
    Overrides:
      `addFirstListener` in class `org.junit.runner.notification.RunNotifier`